%global modulename optimist

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-optimist
Version:        0.6.1
Release:        1%{?dist}
Summary:        Light-weight option parsing with an argv hash. No optstrings attached.

License:        MIT
URL:            https://github.com/substack/node-optimist#readme
Source0:        https://registry.npmjs.org/optimist/-/optimist-0.6.1.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(wordwrap) >= 0.0.2 with npmlib(wordwrap) < 0.1.0))
BuildRequires:  ((npmlib(minimist) >= 0.0.1 with npmlib(minimist) < 0.1.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Light-weight option parsing with an argv hash. No optstrings attached.

%package 0.6.1
Summary:        Light-weight option parsing with an argv hash. No optstrings attached.


%description 0.6.1
Light-weight option parsing with an argv hash. No optstrings attached.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr example %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.markdown
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 0.6.1
%doc readme.markdown
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Dec 4 2018 npm2srpm <dshea@redhat.com> - 0.6.1-1
- Package automatically generated by npm2srpm
